1. Fiat Withdrawal
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
          GET
        • Create Fiat Withdrawal
          POST
        • Get Fiat Withdrawal Detail
          GET
        • Get Fiat Withdrawal History
          GET
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Fiat Withdrawal

Fiat Withdrawal Webhook

Webhook
POST
To notify fiat withdrawal status

Request

Authorization
Header Params

Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "fiatWithdrawalId": "string",
        "participantCode": "string",
        "requireSameNamePayout": true,
        "withdrawalType": 1,
        "currency": "string",
        "amount": 0,
        "fees": 0,
        "swiftChargingCode": 1,
        "estimatedAmountReceivable": 0,
        "to": "string",
        "paymentReference": "string",
        "clientReference": "string",
        "bankInfo": {
            "type": 1,
            "typeOfThirdParty": 1,
            "corporateCountryCode": "string",
            "label": "string",
            "bankAccountNumber": "string",
            "swiftCode": "string",
            "bankName": "string",
            "bankAddress": "string",
            "bankCountry": "string",
            "bankState": "string",
            "bankCity": "string",
            "postCode": "string",
            "routingNumber": "string",
            "intermediaryBank": [
                {
                    "currency": "string",
                    "swiftCode": "string",
                    "bankName": "string",
                    "bankAddress": "string",
                    "bankCountry": "string"
                }
            ],
            "relationship": "string",
            "beneficiaryOfThirdParty": {
                "name": "string",
                "email": "string",
                "addressInfo": {
                    "country": "string",
                    "state": "string",
                    "city": "string",
                    "postCode": "string",
                    "addressLine1": "string",
                    "addressLine2": "string"
                }
            }
        },
        "purposeOfTransaction": "string",
        "proofFile": "string",
        "idorPassportFile": "string",
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "fiatWithdrawalId": "string",
        "participantCode": "string",
        "requireSameNamePayout": true,
        "withdrawalType": 1,
        "currency": "string",
        "amount": 0,
        "fees": 0,
        "swiftChargingCode": 1,
        "estimatedAmountReceivable": 0,
        "to": "string",
        "paymentReference": "string",
        "clientReference": "string",
        "bankInfo": {
            "type": 1,
            "typeOfThirdParty": 1,
            "corporateCountryCode": "string",
            "label": "string",
            "bankAccountNumber": "string",
            "swiftCode": "string",
            "bankName": "string",
            "bankAddress": "string",
            "bankCountry": "string",
            "bankState": "string",
            "bankCity": "string",
            "postCode": "string",
            "routingNumber": "string",
            "intermediaryBank": [
                {
                    "currency": "string",
                    "swiftCode": "string",
                    "bankName": "string",
                    "bankAddress": "string",
                    "bankCountry": "string"
                }
            ],
            "relationship": "string",
            "beneficiaryOfThirdParty": {
                "name": "string",
                "email": "string",
                "addressInfo": {
                    "country": "string",
                    "state": "string",
                    "city": "string",
                    "postCode": "string",
                    "addressLine1": "string",
                    "addressLine2": "string"
                }
            }
        },
        "purposeOfTransaction": "string",
        "proofFile": "string",
        "idorPassportFile": "string",
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-04-02 07:56:33
Previous
Get Fiat Withdrawal History
Next
Crypto Deposit
Built with